Check and manage DDoS protection for your VPS

Check if DDoS protection is active for your virtual server (VPS) and if it is eligible for protection. If your VPS is under attack, this protection can help minimize downtime.

VPS & Cloud VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.active boolean · Example: false
data.created_at string · Example: 2026-02-10 00:00:00
data.eligible boolean required · Example: true
data.expires_at string · Example: 2026-02-10 00:00:00
data.ip string · Example: 192.0.0.1
data.reason string · Example: On-demand scrubbing via client panel (account 20476)
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/ddos-scrubbing
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/ddos-scrubbing" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "eligible": true,
    "ip": "192.0.0.1",
    "active": false
  }
}